List Task Messages
List messages exchanged on a task’s sequence thread.
Requires the tasks:read scope on the API key.
GET
/
v1
/
tasks
/
{task_id}
/
messages
List Task Messages
curl --request GET \
--url https://api.topo.io/v1/tasks/{task_id}/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/tasks/{task_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/tasks/{task_id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "EMAIL",
"direction": "INBOUND",
"subject": "<string>",
"body": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"sender_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>"
}
}
]Authorizations
Bearer API key issued from Settings → Developers.
Path Parameters
ID of the task.
Response
200 - application/json
Successful Response
Unique identifier.
Channel the message was sent on.
Available options:
EMAIL, LINKEDIN, CALENDAR, MANUAL Inbound (from the contact) or outbound (sent by your team).
Available options:
INBOUND, OUTBOUND Email subject line, if any.
Message body. Inbound messages have quoted reply history stripped.
When the message was sent or received.
Sending mailbox that sent an outbound message. Null for inbound messages from the contact.
Was this page helpful?
⌘I
List Task Messages
curl --request GET \
--url https://api.topo.io/v1/tasks/{task_id}/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/tasks/{task_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/tasks/{task_id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "EMAIL",
"direction": "INBOUND",
"subject": "<string>",
"body": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"sender_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>"
}
}
]